# Attachment

Attachment : `Instance`

## Overview

An Attachment is an instance that defines a specific position and orientation, typically parented to a BasePart, Bone, or another Attachment

Its relative position and rotation are set via the CFrame property, with WorldCFrame available for adjustments in absolute coordinates.

This instance integrates with various functionalities beyond mere positioning. For example, a Beam connects two Attachments to create visual effects, and physics-based instances can operate relative to an Attachment’s position, enabling precise control.

Attachments make it easy to configure positioning and interaction points that are challenging to achieve with BaseParts alone, allowing flexible configuration of pivots of various effects or actions.

## Properties

### Axis

`Vector3`

This property represents the Attachment’s X-axis orientation.

#### Code Samples

```lua
local Attachment = script.Parent

print(Attachment.Axis)
```

### CFrame

`CFrame`

This property represents the offset in position and orientation relative to the parent object.

#### Code Samples

```lua
local Attachment = script.Parent

print(Attachment.CFrame)
```

### SecondaryAxis

`Vector3`

This property represents the Attachment’s Y-axis orientation.

#### Code Samples

```lua
local Attachment = script.Parent

print(Attachment.SecondaryAxis)
```

### WorldAxis

`Vector3`

This property represents the Attachment's X-axis orientation relative to the game world’s coordinate system.

#### Code Samples

```lua
local Attachment = script.Parent

print(Attachment.WorldAxis)
```

### WorldCFrame

`CFrame`

This property represents the absolute position and orientation relative to the game world.

This is calculated by applying the Attachment’s unique offset to the parent object’s position and rotation.

#### Code Samples

```lua
local Attachment = script.Parent

print(Attachment.WorldCFrame)
```

### WorldSecondaryAxis

`Vector3`

This property represents the Attachment's Y-axis orientation relative to the game world’s coordinate system.

#### Code Samples

```lua
local Attachment = script.Parent

print(Attachment.WorldSecondaryAxis)
```

## Methods

### GetConstraints

Currently not supported.

#### Parameters

#### Return

| `Array` |   |
| ------- | - |

#### Code Samples

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/attachment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
